ClosedCaptioningEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.media
Class ClosedCaptioningEvent

    java.lang.Object
      java.util.EventObject
          org.ocap.media.ClosedCaptioningEvent

All Implemented Interfaces:
  Serializable

    public class ClosedCaptioningEvent

extends EventObject

This class is an event to notify a change of a closed-captioning state.

Author:
  Mark S. Millard (Vidiom Systems), Shigeaki Watanabe (Panasonic): modify
See Also:
  Serialized Form

Field Summary
`static int` | `EVENTID_CLOSED_CAPTIONING_OFF` This event indicates a current closed-captioning state is turning off.
`static int` | `EVENTID_CLOSED_CAPTIONING_ON` This event indicates a current closed-captioning state is turning on.
`static int` | `EVENTID_CLOSED_CAPTIONING_ON_MUTE` This event indicates a current closed-captioning state is "on mute".
`static int` | `EVENTID_CLOSED_CAPTIONING_SELECT_NEW_SERVICE` This event indicates a new closed-captioning service (C1 to C4, T1 to T4) is selected.

Constructor Summary
`ClosedCaptioningEvent(Object source, int id)` Construct a new ClosedCaptioningEvent with the specified event ID.

Method Summary
`int` | `getEventID()` Get the event ID associated with this ClosedCaptioningEvent.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVENTID_CLOSED_CAPTIONING_ON

    public static final int EVENTID_CLOSED_CAPTIONING_ON

  This event indicates a current closed-captioning state is turning on.

  See Also:
    Constant Field Values

### EVENTID_CLOSED_CAPTIONING_OFF

    public static final int EVENTID_CLOSED_CAPTIONING_OFF

  This event indicates a current closed-captioning state is turning off.

  See Also:
    Constant Field Values

### EVENTID_CLOSED_CAPTIONING_ON_MUTE

    public static final int EVENTID_CLOSED_CAPTIONING_ON_MUTE

  This event indicates a current closed-captioning state is "on mute".

  See Also:
    Constant Field Values

### EVENTID_CLOSED_CAPTIONING_SELECT_NEW_SERVICE

    public static final int EVENTID_CLOSED_CAPTIONING_SELECT_NEW_SERVICE

  This event indicates a new closed-captioning service (C1 to C4, T1 to T4) is selected.

  See Also:
    Constant Field Values

Constructor Detail

### ClosedCaptioningEvent

    public ClosedCaptioningEvent(Object source,
                                 int id)

  Construct a new ClosedCaptioningEvent with the specified event ID.

  Parameters:
    `source` - The object where the event originated.
    `id` - The event ID. One of the following values: EVENTID_CLOSED_CAPTIONING_ON, EVENTID_CLOSED_CAPTIONING_OFF, EVENTID_CLOSED_CAPTIONING_ON_MUTE and EVENTID_CLOSED_CAPTIONING_SELECT_NEW_SERVICE.

Method Detail

### getEventID

    public int getEventID()

  Get the event ID associated with this ClosedCaptioningEvent.

  Returns:
    An integer representation of the event ID.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD